Create test plan
curl --request POST \
--url https://api.qa.tech/v1/test-plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"reviewInstructions": "<string>",
"testCaseIds": [
"<string>"
],
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/test-plans"
payload = {
"name": "<string>",
"description": "<string>",
"reviewInstructions": "<string>",
"testCaseIds": ["<string>"],
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
reviewInstructions: '<string>',
testCaseIds: ['<string>'],
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/test-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/test-plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'reviewInstructions' => '<string>',
'testCaseIds' => [
'<string>'
],
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/test-plans"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"testCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qa.tech/v1/test-plans")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"testCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/test-plans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"testCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"testPlan": {
"shortId": "<string>",
"name": "<string>",
"description": "<string>",
"testCaseCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"reviewInstructions": "<string>",
"testCases": [
{
"id": "<string>",
"name": "<string>",
"isEnabled": true,
"applicationShortId": "<string>"
}
]
}
}Test plans
Create test plan
Create a test plan, optionally with test cases. Returns the plan with its shortId, which can be passed to start_run_with_test_plan.
POST
/
v1
/
test-plans
Create test plan
curl --request POST \
--url https://api.qa.tech/v1/test-plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"reviewInstructions": "<string>",
"testCaseIds": [
"<string>"
],
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/test-plans"
payload = {
"name": "<string>",
"description": "<string>",
"reviewInstructions": "<string>",
"testCaseIds": ["<string>"],
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
reviewInstructions: '<string>',
testCaseIds: ['<string>'],
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/test-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/test-plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'reviewInstructions' => '<string>',
'testCaseIds' => [
'<string>'
],
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/test-plans"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"testCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qa.tech/v1/test-plans")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"testCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/test-plans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"reviewInstructions\": \"<string>\",\n \"testCaseIds\": [\n \"<string>\"\n ],\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"testPlan": {
"shortId": "<string>",
"name": "<string>",
"description": "<string>",
"testCaseCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"reviewInstructions": "<string>",
"testCases": [
{
"id": "<string>",
"name": "<string>",
"isEnabled": true,
"applicationShortId": "<string>"
}
]
}
}Body
application/json
Plan name, unique among the project's test plans
Required string length:
1 - 200Maximum string length:
2000Guidance given to the PR review agent when this plan is used for PR checks
Maximum string length:
4000Project test case IDs to put in the plan. Only published test cases can be added.
Maximum array length:
500Target a specific project by its prefixed short ID (proj-slug_shortId or proj_shortId), as returned by the projects API. Required for organization-scoped API keys; project-scoped keys may only pass their own project's short ID.
Pattern:
^proj(-.+_.+|_.+)$Was this page helpful?